VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5940
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8310
   LinkTopic       =   "Form1"
   ScaleHeight     =   5940
   ScaleWidth      =   8310
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox Picture1 
      BackColor       =   &H80000009&
      ClipControls    =   0   'False
      Height          =   6855
      Left            =   0
      MousePointer    =   99  'Custom
      Picture         =   "crosshairs.frx":0000
      ScaleHeight     =   6795
      ScaleWidth      =   9435
      TabIndex        =   0
      Top             =   0
      Width           =   9495
      Begin VB.Line lineCrossHair1 
         BorderColor     =   &H00FF0000&
         X1              =   0
         X2              =   0
         Y1              =   0
         Y2              =   3000
      End
      Begin VB.Line lineCrosshair2 
         BorderColor     =   &H00FF0000&
         X1              =   2520
         X2              =   7080
         Y1              =   1680
         Y2              =   1680
      End
      Begin VB.Shape Shape1 
         BorderColor     =   &H00FF00FF&
         BorderStyle     =   3  'Dot
         FillColor       =   &H0080FF80&
         Height          =   2055
         Left            =   120
         Top             =   480
         Width           =   3015
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''                crosshairs.vbp                   '''''
''''''                created  by                      '''''
'''''                 and Copyright to                 '''''
''''''                Ray Hildenbrand 1998             '''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''


' boolean value to indicate whether a selection rectangle needs to be drawn
Dim selecting As Boolean
'rect type to hold our rectangles values
Dim newSelection As Rect
'Shape1 is our selection rectangle
'linecrosshairs1 and linecrosshairs2 are our coordinate mappers'




Private Sub Form_Load()
'adjust the placement of out picturebox and shape object
Shape1.Visible = False
Shape1.Move 0, 0, 1, 1
Picture1.Move 10, 200, Me.Width - 20, Me.Height - 220
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
'mouse has passed out of the scope of the picturebox
'so turn off our coordinate mappers
lineCrossHair1.Visible = False
lineCrosshair2.Visible = False

End Sub

Private Sub Form_Resize()
'readjust the picturebox to fit the form
Picture1.Move 10, 200, Me.Width - 50, Me.Height - 220
End Sub



Private Sub Picture1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
' reset our rectangle at the coordinates the mouse clicked
Shape1.Move X, Y, 2, 2
' allow user to see our rectangle
Shape1.Visible = True
'store the value of the coordinates where the rectangle started
newSelection.BeginX = X
newSelection.BeginY = Y
'set selecting to true because we are now selecting
selecting = True

End Sub

Private Sub Picture1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

lineCrossHair1.Visible = True
lineCrosshair2.Visible = True

'set the coordinates for our vertical line
lineCrossHair1.X1 = X
lineCrossHair1.Y1 = 0
lineCrossHair1.Y2 = Picture1.Height
lineCrossHair1.X2 = X
' set the coordinates for our horizontal line
lineCrosshair2.X1 = 0
lineCrosshair2.Y1 = Y
lineCrosshair2.Y2 = Y
lineCrosshair2.X2 = Picture1.Width
' if we are selecting and a selection is actually being drawn
' resize our rectangle to fit the selection
If selecting And X <> newSelection.BeginX Then
    On Error Resume Next
    Shape1.Move newSelection.BeginX, newSelection.BeginY, X - newSelection.BeginX, Y - newSelection.BeginY
    Shape1.Visible = True
End If
    
End Sub

Private Sub Picture1_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

' the coordinates went backwards (an error would be generated)
If X < newSelection.BeginX Or Y < newSelection.BeginY Then
   selecting = False
    Exit Sub
End If
Shape1.Move newSelection.BeginX, newSelection.BeginY, X - newSelection.BeginX, Y - newSelection.BeginY
Shape1.Visible = True
If X > newSelection.BeginX Or Y > newSelection.BeginY Then
    selecting = False
    'set the end values our rectangle into newselection
    newSelection.EndX = X
    newSelection.EndY = Y
Else
   selecting = True
End If

End Sub
